Upgrade toontrack software to latest version

Product Manager
Viewing 15 replies - 1 through 15 (of 17 total)
  • Scott Eshleman
    Participant

    It’s not referring to your version of Product Manager.
    It is referring to a required version of EZDrummer or SuperiorDrummer,

    A working EZdrummer 2.1.2 (or above) or a Superior Drummer 2.4.4 (or above) installationis required to run your Alt Rock EZXpansion, as noted in its product description.
    Product Manager should display a ‘Needs Updated‘ prompt for EZDrummer…

    _______________________________________________________________________________________
    MAC OS Sierra / MBP '12 Retina Quad i7 2.7 Ghz, 16GB RAM, 750 SSD (internal), 2TB SSD (external),
    SuperiorDrummer3 & SD2.4 w/11+ SDX (on external SSDs) EZD, EZD2 w/32+ EZX
    EZKeys: Grand, Upright, Electrics, EZMix2: presets! Beatstation
    ProTools 2018, Harrison Mixbus32C v4 & v5, Logic Pro X, Studio One Pro, Cubase

    Scott
    Moderator

    I like to install my just bought product.  Alt Rock EZX.   When I try try to install the message appears “Upgrade toontrack software to latest version”

     

    I installed the latest version of the Product Manager.

    What should I do?

    Operating system: Windows 10

    The error isn’t referring to product manager. What version of EZD2 are you running? Does Product Manager show there is an update available? If so, have you run the update?

    Scott Sibley - Toontrack
    Technical Advisor

    Frankehv
    Participant

    Thanks.  solved 🙂

    Ratu Cakobau
    Participant

    i bought the toontackEZX-reggae…. during the process of registering …. message came up stating ..need to upgrade toontrack software to th e latest version before installing

    I need help please >>

    Scott
    Moderator

    i bought the toontackEZX-reggae…. during the process of registering …. message came up stating ..need to upgrade toontrack software to th e latest version before installing

    I need help please >>

    EZXs require EZD2 or Superior Drummer 3 to work. Which do you have and is it updated?

    Scott Sibley - Toontrack
    Technical Advisor

    Scott Eshleman
    Participant

    i bought the toontackEZX-reggae…. during the process of registering …. message came up stating ..need to upgrade toontrack software to th e latest version before installing

    I need help please >>

    The Product Description page for the Reggae EZX states (link):
    SYSTEM REQUIREMENTS.
    1.2 GB of free hard disk space, 2 GB RAM.
    A working EZdrummer 2 or a Superior Drummer 2.4 (or above) installation.

    • The Reggae EZX is an expansion library for EZDrummer2, SuperiorDrummer2 and/or SuperiorDrummer3.
    • What version of EZDrummer2, SuperiorDrummer2 and/or SuperiorDrummer3 are you running?
    • Does Product Manager show there is an update available for EZDrummer or SuperiorDrummer?
      If so, have you run the update?

    _______________________________________________________________________________________
    MAC OS Sierra / MBP '12 Retina Quad i7 2.7 Ghz, 16GB RAM, 750 SSD (internal), 2TB SSD (external),
    SuperiorDrummer3 & SD2.4 w/11+ SDX (on external SSDs) EZD, EZD2 w/32+ EZX
    EZKeys: Grand, Upright, Electrics, EZMix2: presets! Beatstation
    ProTools 2018, Harrison Mixbus32C v4 & v5, Logic Pro X, Studio One Pro, Cubase

    NBF
    Participant

    Same issue as everyone else. I spent $300 to buy a package that included: Dark Matter EZX, Jazz EZX and Progressive EZX. Plus I got the add ons Progressive Fusion MIDI and Seventies Prog Grooves…and I’m getting nowhere.

    The seemingly ubiquitous ‘you need to upgrade your Toontrack software to the latest version before you can install this product’. I’ve tried everything that I can think of and now don’t know what to do. When you buy a package of software, do you not automatically get the version of the actual EZdrummer software that you need??

    Can anyone help, and why hasn’t this issue been provided a simpler solution, since it seems to be catching so many people?

    • This post was modified 4 months ago by NBF.
    Scott
    Moderator

    Same issue as everyone else. I spent $300 to buy a package that included: Dark Matter EZX, Jazz EZX and Progressive EZX. Plus I got the add ons Progressive Fusion MIDI and Seventies Prog Grooves…and I’m getting nowhere.

    The seemingly ubiquitous ‘you need to upgrade your Toontrack software to the latest version before you can install this product’. I’ve tried everything that I can think of and now don’t know what to do. When you buy a package of software, do you not automatically get the version of the actual EZdrummer software that you need??

    Can anyone help, and why hasn’t this issue been provided a simpler solution, since it seems to be catching so many people?

    • This post was modified 4 months ago by NBF.

    The issue is that customers are purchasing expansion packs (EZXs) without first having the base product (EZD2 or S3).

    Each EZX states that:
    SYSTEM REQUIREMENTS.
    3 GB free disk space, 2 GB RAM (4 GB recommended).

    A working EZdrummer 2.x.x or Superior Drummer 3.x.x (or above) installation.

    Scott Sibley - Toontrack
    Technical Advisor

    NBF
    Participant

    Well, thanks for responding, Scott. Judging by the number of people being tripped up by this, I would say that it is not crystal clear that the bundles don’t come with EZ drummer itself. I certainly thought that the bundles came with it. My mistake.

     

    • This post was modified 4 months ago by NBF.
    Scott
    Moderator

    Well, thanks for responding, Scott. Judging by the number of people being tripped up by this, I would say that it is not crystal clear that the bundles don’t come with EZ drummer itself. I certainly thought that the bundles came with it. My mistake.

     

    • This post was modified 4 months ago by NBF.

    The only EZdrummer Line bundle that doesn’t come with EZD2 is the EZX Value Bundle that is EZX (expansion packs) only. The rest of the bundles come with EZD2.

    Scott Sibley - Toontrack
    Technical Advisor

    Paul Seaman
    Participant

    Hi,

    I can not install any of my products because it keeps saying the PM needs to be updated. Fair enough, but nowhere whatsoever within the PM is there a red button prompting me to update?

    I have literally spent 100’s of $ on Toontracks products and can’t even use any of them! Unbelievable, in this day and age.

    Paul David Seaman


    Operating system: Windows 10

    EZ2 Drummer / Sibelius 8.6 / Cubase 9.

    Dell Inspiron 3737, 1.70gHz, 16GB RAM, 64-bit, Intel Core i3.

    Scott Eshleman
    Participant

    As in the past, when I open the Product Manager, it does a “Check for Updates” scan
    that was too fast for me to capture a screenshot.

    Subsequently, it found my installation of Product Manager to be out-of-date
    and prompted me for an update, shown in the screenshot below.

    PM_upgrade
    PS. Upon downloading, installing & relaunching Product Manager,
    a 2nd update was prompted. Clicked [Install & Relaunch] once more and Product Manager opened,
    revealing my purchases.

    _______________________________________________________________________________________
    MAC OS Sierra / MBP '12 Retina Quad i7 2.7 Ghz, 16GB RAM, 750 SSD (internal), 2TB SSD (external),
    SuperiorDrummer3 & SD2.4 w/11+ SDX (on external SSDs) EZD, EZD2 w/32+ EZX
    EZKeys: Grand, Upright, Electrics, EZMix2: presets! Beatstation
    ProTools 2018, Harrison Mixbus32C v4 & v5, Logic Pro X, Studio One Pro, Cubase

    1

    Thanked by: Paul Seaman
    Paul Seaman
    Participant

    As in the past, when I open the Product Manager, it does a “Check for Updates” scan
    that was too fast for me to capture a screenshot.

    Subsequently, it found my installation of Product Manager to be out-of-date
    and prompted me for an update, shown in the screenshot below.

    PM_upgrade
    PS. Upon downloading, installing & relaunching Product Manager,
    a 2nd update was prompted. Clicked [Install & Relaunch] once more and Product Manager opened,
    revealing my purchases.

    Hi Scott,

     

    OK, thanks a lot. I’ll try a re-installation . . .

     

    Cheers.


    Operating system: Windows 11

    EZ2 Drummer / Sibelius 8.6 / Cubase 9.

    Dell Inspiron 3737, 1.70gHz, 16GB RAM, 64-bit, Intel Core i3.

    Paul Seaman
    Participant

    Thanks Scott,

    I followed your steps but same result, unfortunately!?

    Paul

    EZ2 Drummer / Sibelius 8.6 / Cubase 9.

    Dell Inspiron 3737, 1.70gHz, 16GB RAM, 64-bit, Intel Core i3.

    Scott
    Moderator

    Thanks Scott,

    I followed your steps but same result, unfortunately!?

    Paul

    Have you installed the latest version of EZD2? What version number shows on the EZD2 interface?

    Scott Sibley - Toontrack
    Technical Advisor

Viewing 15 replies - 1 through 15 (of 17 total)

Please log in to read and reply to this topic.

×